WordPress 5.0开始,WordPress站点需要做什么改变

昨日 WordPress 5.0 RC 也已经发布,现在已经确定,WordPress 5.0将会使用古滕堡编辑器。

The block editor is used on over a million sites, we think it’s ready to be used on all WordPress sites. We do understand that some sites might need some extra time, though. If that’s you, please install the Classic Editor plugin, you’ll continue to use the classic post editor when you upgrade to WordPress 5.0.

那么怎么迎接新的编辑器?你的WordPress站点需要做什么改变?

第一:关于编辑器

如果不适应编辑器,可以使用经典编辑器,目前已经有插件发布了:Classic Editor。这样可以完全不用担心不适应新的编辑器了。

古滕堡更适合写作,例如写稿子、日志、博文,随时随地的书写文章,例如手机书写用以前的编辑器是比较困难的。

第二:关于WodPress主题

用了古滕堡编辑器之后,基本上等于是以前你正在使用的 WordPress主题 已经废了,至少不完全适配古滕堡编辑器。例如编辑器加入按钮、代码高亮插件对编辑器的扩展,都成了问题,你还得为的WordPress主题重写部分与新编辑器的适应的HTML标签对应的CSS、JS等。

总的来说

如果你在于写作,在于个人内容的输出,用WordPress站点作为自己的个人博客,那么使用默认最新的主题和新编辑器完全合适。如果是一个开发者,或者已经上线很久难以切换交互的站点来说,使用经典编辑器仍然是最佳选择。

发表评论

电子邮件地址不会被公开。 必填项已用*标注